DH_GRANTLEE(1)

NAME
dh_grantlee - generate proper dependencies for grantlee plugins

SYNOPSIS
dh_qmlcdeps [debhelper options]

DESCRIPTION
dh_grantlee is a debhelper program that looks for *.so files of grantlee plugins, installed in /usr/lib/$DEB_HOST_MULTIARCH/grantlee or /usr/lib/$DEB_HOST_MULTIARCH/qt5/plugins/grantlee, under a subdirectory named "MAJOR.MINOR" (e.g. 5.2): in case any is found, a proper dependency "grantlee5-templates-MAJOR-MINOR" dependency is added to the ${grantlee:Depends} substitution variable.

This is needed because Grantlee loads plugins for templates only in subdirectories named after its "MAJOR.MINOR" version.

You can pass --with grantlee to dh(1) to make it automatically call dh_grantlee after dh_install, or add the "dh-sequence-grantlee" build dependency.

SEE ALSO
debhelper(7)

AUTHOR
Pino Toscano <pino@debian.org>